
QGIS Application - Bug report #5780

Most labels in menus are in Title Case

2012-06-11 02:29 AM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: GUI

Affected QGIS version:master Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 15274

Description

The Human Interface Guidelines include this:

2.Capitalise first letter only in labels:

Labels (and group box labels) should be written as a phrase with leading

capital letter, and all remaing words written with lower case first letters

I presume this rule is supposed to apply to labels in menus as well as everywhere else.  But the majority of labels in menus (including

context menus) in QGIS are in Title Case (at least when using English).

I guess if someone had the resources they could do a complete review of the UI vs the HIG.  There are other obvious problems, such as

sporadic implementation of this:

13.If clicking a button will spawn a new dialog, an ellipsis (...) should be

suffixed to the button text.

History

#1 - 2012-06-11 02:31 AM - Alister Hood

Refer to:

[[Developers_Manual#HIG-Human-Interface-Guidelines]]

#2 - 2012-06-11 01:45 PM - Larry Shaffer

I think 'Title Case' is normal for most OS HIG menus and menu items, no?

Apple

http://developer.apple.com/library/mac/#documentation/userexperience/conceptual/applehiguidelines/TextStyle/TextStyle.html#//apple_ref/doc/uid/TP30

00365-BABDIBBH

Gnome

http://developer.gnome.org/hig-book/stable/design-text-labels.html.en#layout-capitalization

KDE

http://techbase.kde.org/Projects/Usability/HIG/Capitalization

Though newer Windows versions appear to be switching:

http://msdn.microsoft.com/en-us/library/windows/desktop/aa974176.aspx#capitalization
#3 - 2012-06-11 02:05 PM - Alister Hood

If it is just the HIG that needs to be fixed, then even better.  Although some plugins like ftools mostly follow the HIG.

#4 - 2012-09-04 12:06 PM - Paolo Cavallini

- Target version set to Version 2.0.0

#5 - 2014-06-28 07:42 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#6 - 2015-12-09 11:00 AM - Médéric RIBREUX

- Status changed from Open to Feedback

Hello, bug triage...

where can I find the QGIS Developper Manual (or a reference document on HIG) to see if we can close this bug ?

#7 - 2015-12-09 04:10 PM - Alister Hood

Go to the last section on this page: http://www.qgis.org/de/site/getinvolved/development/qgisdevelopersguide.html

#8 - 2015-12-20 10:40 AM - Giovanni Manghi

- Status changed from Feedback to Open

#9 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#10 - 2019-03-09 04:04 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
